Package org.eclipse.m2m.atl.emftvm.cdo.impl

# Class CDOModelImpl.InResourceList

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection<org.eclipse.emf.ecore.EObject>
org.eclipse.m2m.atl.emftvm.util.LazyList<org.eclipse.emf.ecore.EObject>
org.eclipse.m2m.atl.emftvm.util.LazyList.NonCachingList<org.eclipse.emf.ecore.EObject>
org.eclipse.m2m.atl.emftvm.cdo.impl.CDOModelImpl.InResourceList

All Implemented Interfaces:
  `Iterable<org.eclipse.emf.ecore.EObject>`, `Collection<org.eclipse.emf.ecore.EObject>`, `List<org.eclipse.emf.ecore.EObject>`, `SequencedCollection<org.eclipse.emf.ecore.EObject>`, `org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>`

Enclosing class:
  `CDOModelImpl`

public static class CDOModelImpl.InResourceList extends LazyList.NonCachingList<org.eclipse.emf.ecore.EObject>
`LazyList` that returns only instances within a given `Resource`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`CDOModelImpl.InResourceList.InResourceIterator`
`Iterator` for `CDOModelImpl.InResourceList`.

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`LazyList.AppendList<E>, LazyList.CollectList<E>, LazyList.InsertAtList<E>, LazyList.IntegerRangeList, LazyList.LongRangeList, LazyList.NonCachingList<E>, LazyList.PrependList<E>, LazyList.ReverseList<E>, LazyList.SubList<E>, LazyList.UnionList<E>, LazyList.UnionListIterator`

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.eclipse.emf.ecore.resource.Resource`
`resource`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

## Constructor Summary

Constructors
Constructor
Description
`InResourceList(Iterable<org.eclipse.emf.ecore.EObject> dataSource, org.eclipse.emf.ecore.resource.Resource resource)`
Creates a new `CDOModelImpl.InResourceList` around `dataSource`.

## Method Summary

Modifier and Type
Method
Description
`Iterator<org.eclipse.emf.ecore.EObject>`
`iterator()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList.NonCachingList

`createCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`add, addAll, append, asSequence, asString, at, collect, equals, excluding, excludingAll, first, flatten, get, hashCode, including, including, includingAll, includingAll, includingRange, indexOf, indexOf2, insertAt, last, lastIndexOf, lastIndexOf2, listIterator, listIterator, move, move, prepend, reject, remove, reverse, select, set, sortedBy, subList, subSequence, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`add, addAll, any, appendElements, asBag, asOrderedSet, asSet, clear, contains, containsAll, containsAny, count, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isEmpty, isUnique, iterate, mappedBy, mappedBySingle, max, min, notEmpty, one, product, remove, removeAll, retainAll, size, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, addAll, addFirst, addLast, clear, contains, containsAll, getFirst, getLast, isEmpty, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, size, sort, spliterator, toArray, toArray`

## Field Details

### resource

protected final org.eclipse.emf.ecore.resource.Resource resource

## Constructor Details

### InResourceList

public InResourceList(Iterable<org.eclipse.emf.ecore.EObject> dataSource, org.eclipse.emf.ecore.resource.Resource resource)
Creates a new `CDOModelImpl.InResourceList` around `dataSource`.

Parameters:
  `dataSource` - the underlying data source
  `resource` - the resource of which to return the instances

## Method Details

### iterator

public Iterator<org.eclipse.emf.ecore.EObject> iterator()

Specified by:
  `iterator` in interface `Collection<org.eclipse.emf.ecore.EObject>`
Specified by:
  `iterator` in interface `Iterable<org.eclipse.emf.ecore.EObject>`
Specified by:
  `iterator` in interface `List<org.eclipse.emf.ecore.EObject>`
Overrides:
  `iterator` in class `LazyCollection<org.eclipse.emf.ecore.EObject>`